button {
  display: inline-block;
  background-color: black;
  border: 1px solid black;
  color: white;
  border-radius: 8px;
  padding: 1em 3em;
}

button:hover, button:focus {
  box-shadow: 0 0 3px 3px lightblue;
}

.uppercase {
  text-transform: uppercase;
}

.purple {
  background-color: purple;
  border: 1px solid purple;
}

.transparent {
  background-color: rgba(0,0,0,0);
}

.purple.transparent {
  color: purple;
}

.no-outline {
  border: 0;
}